Class | NilClass
In: | lib/sequel/extensions/blank.rb lib/sequel/extensions/sql_expr.rb
Parent: | Object

### Methods

blank? sql_expr

### Public Instance methods

blank?()

nil is always blank

[Source]

        # File lib/sequel/extensions/blank.rb, line 19
    19:   def blank?
    20:     true
    21:   end

sql_expr()

Returns a copy of the object wrapped in a Sequel::SQL::BooleanExpression, allowing easy use of Sequel‘s DSL:

      ~nil.sql_expr  # NOT NULL

[Source]

        # File lib/sequel/extensions/sql_expr.rb, line 63
    63:   def sql_expr
    64:     Sequel::SQL::BooleanExpression.new(:NOOP, self)
    65:   end

[Validate]